[package]
name = "chain-spec-generator"
version = "13.0.1"
authors = ["Transparent Engineers <engineering@transparent.us>"]
edition = "2021"
license = "MIT OR Apache-2.0"

[dependencies]
bs58 = "0.4.0"
fs_extra = "1.2.0"
serde = { version = "1.0", features = ["derive"] }
serde_derive = "1.0"
serde_json = "1.0"
thiserror = "1.0.24"
ipnetwork = "0.17.0"

# CLI-specific dependencies
structopt = "0.3"
serde_yaml = "0.8"

[dev-dependencies]
mockall = "0.9.1"
# Pinned because there was a regression somewhere between 1.6.3 and 1.12.0 that caused a change in the snapshot naming
# convention that broke our code. Will require additional investigation to decide if we want to use the most up-to-date
# version inspite of the regression.
insta = { version = "=1.6.3", features = ["redactions"] }
assert_matches = "1.5"
temp-dir = "0.1.10"
